Skip to main content

Get Bank List

Suggest Edits


Overview

Returns a list of registered bank accounts. The inBehalf optional field can be passed to return the list of the bank accounts of the merchant's client (sub-merchant).


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetBankList

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetBankList

Arguments

AttributeMandatory / Optional
inBehalfOptional

Example Request

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetBankList \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{
"inBehalf": ""
}'

Example Response

{
"errorCode": 0,
"errorMessage": "",
"bankInfo": [
{
"BankAlias": "Chase - NY",
"BankName": "Chase",
"AccountNumber": "7002",
"BankToken": "active-bank-token-gfytr336f"
},
{
"BankAlias": "Chase - MI",
"BankName": "Chase",
"AccountNumber": "4021",
"BankToken": "active-bank-token-jfh6euej"
}
]
}

API Documentation